#### 简要描述：

- 一体机查询导检登记

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |朱小乾  |2022-08-10 |  - |

#### 请求URL:

- /api/External/Intergrated

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |
|Authorization |是  |string |Bearer Token   |

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|idCard |是  |string |查询信息   |
|type |是  |string | 查询类型：0:自动；1：体检编号；2：身份证号；3：导检号；4：姓名    |
|areaId |否  |int | 检区Id    |


#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "操作成功",
  "data": {
    "status": "2",
    "tips": "此人已经登记",
    "integraTables": {
      "patBasicInfor": {
        "patName": "丰宝英",
        "examNo": "217",
        "wxPic": null,
        "printTime": "2022-08-11 17:37:00",
        "idCard": "330802196411072827",
        "outNo": "600130013"
      },
      "patBasicDeparts": [
        {
          "departName": "内科",
          "itemNames": "内科常规检查;",
          "roomName": "内科",
          "queueStatus": "当前队列"
        },
        {
          "departName": "外科",
          "itemNames": "外科常规检查;",
          "roomName": "",
          "queueStatus": "以下项目请根据叫号系统提示有序体检"
        },
        {
          "departName": "心电图",
          "itemNames": "心电图常规;/心电向量图检查;",
          "roomName": "",
          "queueStatus": "以下项目请根据叫号系统提示有序体检"
        },
        {
          "departName": "一般检查",
          "itemNames": "身高、体重、血压;",
          "roomName": "",
          "queueStatus": "以下项目请根据叫号系统提示有序体检"
        },
        {
          "departName": "彩超",
          "itemNames": "彩超肝、胆、胰、脾;",
          "roomName": "彩超（女）",
          "queueStatus": "当前队列"
        },
        {
          "departName": "健康咨询",
          "itemNames": "健康咨询（项目名称特别长健康咨询健康咨询健康咨询健康咨询）;",
          "roomName": "",
          "queueStatus": "以下项目请根据叫号系统提示有序体检"
        }
      ],
      "nowRoom": "【内科】\n【彩超（女）】"
    }
  }
}
```

**错误时返回:**


```
{
  "code": 1,
  "message": "未查询到用户",
  "busCode": ""

```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |


#### 备注:

-