#### 简要描述：

- 获取诊位信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|3.2.3 |朱小乾  |2022-08-24 |  - |

#### 请求URL:

- /api/trExamination/getGuidePosition

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |
|Authorization |是  |string |Bearer Token|

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|user |是  |object |用户信息   |
|userId |是  |string |用户Id   |
|userName |是  |string | 用户名    |
|data |是  |object | 请求参数    |
|ip |是  |string | ip地址    |
```
{
  "user": {
    "userId": "string",
    "userName": "string"
  },
  "data": {
    "ip": "192.168.5.223"
  }
}
```
#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "操作成功",
  "data": [
    {
      "id": 4939,
      "name": null,
      "macAddress": "ds637950459838634513",
      "remarks": null,
      "status": 0,
      "queueName": "外科2",
      "queueId": "1136",
      "examPositionId": "91",
      "maxCountInRoom": 1,
      "order": 1,
      "gender": 2,
      "callerType": 3
    }
  ]
}
```

**错误时返回:**


```
{
  "code": 1,
  "message": "030100",
  "busCode": "Sequence contains no elements"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|id |int   |设备Id  |
|name |string   |设备名称  |
|macAddress |string   |mac地址  |
|remarks |string   |备注  |
|status |int   |状态：0关闭；1启动  |
|queueName |string   |队列名称  |
|queueId |string   |队列Id  |
|examPositionId |string   |诊位Id  |
|maxCountInRoom |int   |房间内最大人数  |
|order |int   |序号  |
|gender | int  |性别0：男，1：女，2不限  |
|callerType |int   |叫号器类型 |
#### 备注:

-