#### 简要描述：

- 查询已完成列表

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|3.2.3 |朱小乾  |2022-08-24 |  - |

#### 请求URL:

- /api/trExamination/GetHasFinish

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |
|Authorization |是  |string |Bearer Token|

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|user |是  |object |用户信息   |
|userId |是  |string |用户Id   |
|userName |是  |string | 用户名    |
|data |是  |object | 请求参数    |
|positionId |是  |int | 诊位Id    |
```
{
  "user": {
    "userId": "string",
    "userName": "string"
  },
  "data": {
    "positionId": 52
  }
}
```
#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "操作成功",
  "data": [
    {
      "examRecordId": "10263",
      "nextDepartName": "心电图队列",
      "userName": "陈峰",
      "examNo": "123",
      "status": "完成",
      "mobile": "",
      "gender": "1",
      "isVip": "1"
    }
  ]
}
```

**错误时返回:**


```
{
  "code": 1,
  "message": "030100",
  "busCode": "Sequence contains no elements"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|examRecordId |string   |记录Id  |
|nextDepartName |string   |下一科室  |
|userName |string   |姓名  |
|examNo |string   |导检号  |
|status |string   |状态  |
|mobile |string   |手机号  |
|gender |string   |性别：0男1女2不限  |
|isVip |string   |是否VIP  |

-