##### 接入地址
	http://ip:port/CallingInterface
##### 请求数据包格式规范
	Http协议 Post 请求数据包的格式和调用时传递的参数指定为Json格式，需符合大小写规范，编码格式为UTF-8，返回的数据字段要求小驼峰命名法。
所有需要鉴权的接口表头都得带上token

|  字段名称 |  字段类型 |
| ------------ | ------------ |
|  Authorization | token  |


##### 请求格式
|  字段名称 |  字段类型 |  说明 |
| ------------ | ------------ | ------------ |
|  requestCode | String  | 业务代码  |
|  requestBody | object  | 业务请求参数</br>对应业务代码入参实体 |
	eg：
	{
		"requestCode":"GetPatientInfo",
		"requestBody":{
			"idCard":"114524155405741955"
		}
	}

#####响应的格式

|参数|类型|描述|
|:-------|:-------|:-------|
|code|int| 0代表成功，其他代表失败|
|message|string|结果说明 |
|busCode|string|具体错误业务代码 |
|totalCount|string|总行数|
|data|array|业务数据 |