### 服务代码说明
|代码   |服务名称   |
| ------------ | ------------ |
|00   |平台   |
|01   |一体机   |
|02   |体检API   |
|03   |导检服务   |
|04   |打印服务   |

#### 返回错误码
|错误来源   |返回码   |错误信息   |错误说明   |
| ------------ | ------------ | ------------ | ------------ |
|00  |001000    |system error   |系统内部错误   |

#### 00平台返回错误码

| 错误来源  | 返回码  | 错误信息  | 错误说明  |
| ------------ | ------------ | ------------ | ------------ |
|  00 | 001001  |   | appKey及appSecret不允许为空  |
|  00 | 001002  |   | appKey对应商户不存在或已作废  |
|  00 | 001003  |   | Token生成失败，未知错误  |
|  00 | 002001  |   | Token不存在或已失效  |
|  00 | 002002  |   | 请求头未包含认证字段Authorization或字段值为空！ |
|  00 | 002003  |   | 请求参数不允许为空 |
|  00 | 002004  |   | 接口权限验证不通过，商户无该接口访问权限 |
|  00 | 002005  |   | 服务接口调用失败，返回状态码不为200 |
|  00 | 002006  |   | 接口调用成功，服务返回错误 |



#### 01一体机返回错误码

#### 02体检API返回错误码
|错误来源   |返回码   |错误信息   |错误说明   |
| ------------ | ------------ | ------------ | ------------ |
|02  |021000    |   |系统内部错误   |
|02  |021001    |   |参数缺失   |
|02  |021002    |   |hospital配置表未设置   |
|02  |021003    |   |任务未配置或未开启   |
|02  |021004    |   |数据获取方法未配置  |
|02  |021005    |   |字段映射未配置  |

###### 读卡器错误枚举
|错误来源   |返回码   |错误信息   |错误说明   |
| ------------ | ------------ | ------------ | ------------ |
|04  |042001    |   |未放置卡片   |
|04  |042002    |   |未获取到有效信息   |

#### 03导检服务返回错误码
|错误来源   |返回码   |错误信息   |错误说明   |
| ------------ | ------------ | ------------ | ------------ |
|03  |031000    |system error   |系统内部错误   |
|03  |033001   | 未查询到体检记录   |未查询到体检记录   |
|03  |033002   | 未查询到用户   |未查询到用户   |

#### 04打印服务返回错误码
###### 打印机错误枚举
|错误来源   |返回码   |错误信息   |错误说明   |
| ------------ | ------------ | ------------ | ------------ |
|04  |041001    |   |正在打印   |
|04  |041002    |   |缺纸   |
|04  |041003    |   |脱机   |
|04  |041004    |   |无墨粉   |
|04  |041005    |   |当前页无法打印   |
|04  |041006    |   |暂停   |
|04  |041007    |   |未知状态   |

###### 读卡器错误枚举
|错误来源   |返回码   |错误信息   |错误说明   |
| ------------ | ------------ | ------------ | ------------ |
|04  |042001    |   |未放置卡片   |
|04  |042002    |   |未获取到有效信息   |