#### 简要描述：

- 获取诊位信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|3.2.3 |朱小乾  |2022-08-24 |  - |

#### 请求URL:

- /api/trExamination/queueStatus

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |
|Authorization |是  |string |Bearer Token|

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|user |是  |object |用户信息   |
|userId |是  |string |用户Id   |
|userName |是  |string | 用户名    |
|data |是  |object | 请求参数    |
|queueId |是  |int | 队列Id    |
```
{
  "user": {
    "userId": "string",
    "userName": "string"
  },
  "data": {
    "queueId": 1102
  }
}
```
#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "操作成功",
  "data": false
}
```

**错误时返回:**


```
{
  "code": 1,
  "message": "030100",
  "busCode": "Sequence contains no elements"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|data |bool   |true 启动 false 停止  |
#### 备注:

-