#### 简要描述：

- 自助机嵌入地址

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|3.8.3 |朱小乾  |2023-07-26 |  - |

#### 请求URL:

- /aio/index.html#/app/index

#### 请求方式：

- GET

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|mac |是  |string |地址：会根据自助机位置自动分配   |
|account |是  |string |账号   |
|password |是  |string | 密码    |

```
系统账号：admin 加密后：CThaNSDbYPc3fA0DaeF8fLE0IxvjH5n7Rqi8mDp/wkmg83F2PNY3W8RUPjOmJzCUTnoJpQAX0sytS+/jqohaJw==
系统密码：0000 加密后：NL1yjGyftME4r2b/UxDYil74rhCS+jyq0l5AIwZXJ0Y743L84CrhYgJvvavI1tWoiLFIBjyIvnN1bPmdtX4wGQ==
实例：
http://192.168.5.172:8890/aio/index.html#/app/index?mac=68eda432578d&account=CThaNSDbYPc3fA0DaeF8fLE0IxvjH5n7Rqi8mDp/wkmg83F2PNY3W8RUPjOmJzCUTnoJpQAX0sytS+/jqohaJw==&password=NL1yjGyftME4r2b/UxDYil74rhCS+jyq0l5AIwZXJ0Y743L84CrhYgJvvavI1tWoiLFIBjyIvnN1bPmdtX4wGQ==
```
#### 返回示例:

**正确时返回:**

```

```

**错误时返回:**

```
```
#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |

#### 备注:

-账号密码都需要通过通过RSA加密
-公钥：
-----BEGIN PUBLIC KEY-----
MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAKzfNbbhA8Khjs2cXotBKe04TUgDn9gv
DGsQjtSaNBxkJ1XwQdSdblm+NaS7ATeipvbrJWGHr+YGVjYnYWoeLLMCAwEAAQ==
-----END PUBLIC KEY-----