#### 简要描述：

- 获取验证的Token

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|3.2.3 |朱小乾  |2022-08-24 |  - |

#### 请求URL:

- /api/External/Login

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|appId |是  |string |appId   |
|appKey |是  |string | appKey    |

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "操作成功",
  "data": {
    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJ0cnRqeHQiLCJpc3MiOiJodHRwOi8vbG9jYWxob3N0OjUwMDAiLCJzdWIiOiJjbGllbnRfY3JlZGVudGlhbCIsIm5iZiI6MTY2MTMyNjUzMywiZXhwIjoxNjYxMzMzNzMzLCJpYXQiOjE2NjEzMjY1MzN9.qrq4cmxAW2piLsxwqQ_VUVf_KwuqBbgks-hDBbvcbuE",
    "expiresIn": 120
  }
}
```

**错误时返回:**


```
{
  "code": 1,
  "message": "获取Token失败",
  "busCode": "030101"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|accessToken |string   |token  |
|expiresIn |int   |过期时间（M）  |

#### 备注:

成功获取token后，其他请求再请求头中加入Authorization。值为Bearer+空格+accessToken
例：![](http://doc.mytijian.cn/uploads/202310/hospitalplatformapi/attach_178f73c51329d5b2.png)