#### 简要描述：

- 录入登记

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |朱小乾  |2023-03-02 |  - |

#### 请求URL:

- /api/External/HandlerRegistraction

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|patName |是  |string |姓名   |
|exameeTagId |是  |int | 客户类型    |
|gender |是  |string |性别   |
|idCard |否  |string |身份证号   |
|age |是  |int |年龄   |
|mobile |否  |string |手机号   |
|isPre |是  |string |是否优先体检："1"是"0"否   |
|preExamNo |否  |string |预留体检号   |
|isBreakfast |是  |bool |是否早餐   |
|examItems |是  |Array |项目数组   |
|itemId |是  |int |项目Id   |
|departId |是  |int |科室Id   |
|itemType |是  |int |项目类型   |

```
{
  "patName": "string",
  "exameeTagId": 0,
  "gender": "string",
  "idCard": "string",
  "age": 0,
  "mobile": "string",
  "isPre": "string",
  "preExamNo": "string",
  "isBreakfast": true,
  "examItems": [
    {
      "itemId": 0,
      "departId": 0,
      "itemType": 0
    }
  ]
}
```
#### 返回示例:

**正确时返回:**

```
{
  "code": 1,
  "message": "",
  "data": 10007
}
```

**错误时返回:**


```
{
  "code": 12,
  "message": "失败",
  "data": null
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|data |int   |用户的记录Id |

#### 备注:

-