#### 简要描述：

- 外部调用接口签到

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|3.9.0 |朱小乾  |2023-10-19 |  - |

#### 请求URL:

- /api/External/ExamNoCheck

#### 请求方式：

- Post

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |
|Authorization |是  |string |Bearer Token|

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|macAddress |是  |string |设备编码   |
|examNo |是  |string | 体检号    |

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "操作成功",
  "data": [
    {
      "examNo": "120",
      "areaName": null,
      "roomName": "一般检查子队列",
      "positionName": null,
      "location": null,
      "examQueueId": null,
      "queueName": null,
      "name": "杨智群",
      "tips": null
    }
  ]
}
```

**错误时返回:**


```
{
  "code": 1,
  "message": "030100",
  "busCode": "Sequence contains no elements"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|roomName |string   |下一站名称 |
|name |string   |姓名 |
|examNo |string   |导检号 |
-
#### 备注: