#### 1. PullHardwareList简要描述：

- 获取身份证读卡器硬件列表

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----     |:---|:----- |-----   |
|v1.0.0.1|何叶|2022-08-12|- |

#### 请求URL:

- http://localhost:8888/api/ReadCard/PullHardwareReadCardList简要描述


#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数|类型|描述|
|:-------|:-------|:-------|

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "",
  "data":  [
{"name":"HP","type":"MS","model":""}
]
}

```

**错误时返回:**


```
{
  "code": 1,
  "message": "",
  "busCode":"041002",
  "data": null
}

```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----  |
|name |string  |读卡器名称 |
|type |string  |读卡器品牌 |
|model |string  |读卡器型号 |
#### 备注:

#### 2. ReadIdCard简要描述：

- 读卡器读取身份证信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----     |:---|:----- |-----   |
|v1.0.0.1|何叶|2022-08-09|- |

#### 请求URL:

- http://localhost:8888/api/ReadCard/ReadIdCard

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "",
  "data":  {
  "idCard":"",
  "name":"",
  "address":"",
  "zp":""
  }
}
```

**错误时返回:**


```
{
  "code": 1,
  "message": "身份证号错误",
  "busCode":"203105",
  "data": null
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----  |
|idCard |string  |身份证 |
|name |string  |姓名 |
|address |string  |家庭住址 |
|zp |base64  |照片 |

#### 备注: